GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Types | Public Member Functions | Public Attributes
graphlab::GraphLabEdgeWrapper< GLVertexDataType, EdgeDataType > Struct Template Reference

List of all members.

## Public Types
typedef graphchi_vertex< bool, EdgeDataType > | VertexType
typedef GLVertexDataType | vertex_data_type
typedef EdgeDataType | edge_data_type
typedef GraphLabVertexWrapper < GLVertexDataType, EdgeDataType > | vertex_type

## Public Member Functions
| GraphLabEdgeWrapper (graphchi_edge< EdgeDataType > *edge, VertexType *vertex, std::vector< GLVertexDataType > *vertexArray, bool is_inedge)
vertex_type | source () const
| Returns the source vertex of the edge. This function returns a vertex_object by value and as a consequence it is possible to use the resulting vertex object to access and modify the associated vertex data.
vertex_type | target () const
| Returns the target vertex of the edge.
const edge_data_type & | data () const
| Returns a constant reference to the data on the edge.
edge_data_type & | data ()
| Returns a mutable reference to the data on the edge.

## Public Attributes
graphchi_edge< EdgeDataType > * | edge
VertexType * | vertex
std::vector< GLVertexDataType > * | vertexArray
bool | is_inedge

## Member Function Documentation

template<typename GLVertexDataType, typename EdgeDataType>

vertex_type graphlab::GraphLabEdgeWrapper< GLVertexDataType, EdgeDataType >::source | ( |  | ) | const
| inline

Returns the source vertex of the edge. This function returns a vertex_object by value and as a consequence it is possible to use the resulting vertex object to access and modify the associated vertex data.

Modification of vertex data obtained through an edge object is usually not safe and can lead to data corruption.

Returns:
  The vertex object representing the source vertex.

template<typename GLVertexDataType, typename EdgeDataType>

vertex_type graphlab::GraphLabEdgeWrapper< GLVertexDataType, EdgeDataType >::target | ( |  | ) | const
| inline

Returns the target vertex of the edge.

This function returns a vertex_object by value and as a consequence it is possible to use the resulting vertex object to access and modify the associated vertex data.

Modification of vertex data obtained through an edge object is usually not safe and can lead to data corruption.

Returns:
  The vertex object representing the target vertex.

The documentation for this struct was generated from the following file:

- src/api/graphlab2_1_GAS_api/graphchi_graphlabv2_1.hpp